Name:           python-spec
Version:        1.4.1
Release:        1%{?dist}
Summary:        Specification-style output for python-nose
License:        MIT
URL:            https://github.com/bitprophet/spec
Source0:        https://pypi.python.org/packages/source/s/spec/spec-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/bitprophet/spec/master/LICENSE
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A Python testing tool that provides:

* Colorized, specification style output
* Colorized tracebacks and summary
* Test-running CLI tool that enables useful non-default options and implements
  relaxed test discovery for less test_annoying.py:TestBoilerplate.test_code
  and more readable.py:Classes.and_methods.

%package -n python3-spec
Summary:        Specification-style output for python3-nose
BuildRequires:  python3-nose >= 1.3
BuildRequires:  python3-six
Requires:       python3-nose >= 1.3
Requires:       python3-six

%description -n python3-spec
A Python testing tool that provides:

* Colorized, specification style output
* Colorized tracebacks and summary
* Test-running CLI tool that enables useful non-default options and implements
  relaxed test discovery for less test_annoying.py:TestBoilerplate.test_code
  and more readable.py:Classes.and_methods.

%prep
%setup -q -n spec-%{version}

# LICENSE file
cp -p %{SOURCE1} .

# Remove bundled egg-info
rm -rf spec.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-spec
%license LICENSE
%{_bindir}/spec
%{python3_sitelib}/spec/
%{python3_sitelib}/spec-%{version}-py?.?.egg-info/

%changelog
* Wed Dec 11 2019 Paul Howarth <paul@city-fan.org> - 1.4.1-1
- Update to 1.4.1
- Strip out Python 2 support

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec  6 2015 Toshio Kuratomi <toshio@fedoraproject.org> - - 1.0.0-5
- Add provides for python2-spec

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Nov  5 2015 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-3
- Fix the python2 and python3 scripts to coexist according to the
  Packaging:Python guidelines
- Fix dist tag

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Mar 28 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sun Aug 03 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.11.1-2
- Changing Requires from python2- to python-

* Tue Jul 29 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.11.1-1
- Initial packaging
